## groovy.swing.impl
Class DefaultAction

A default action implementation

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Closure` | `closure`

Constructor Summary
`DefaultAction()`

Method Summary
`void` | `actionPerformed(ActionEvent event)`
`Closure` | `getClosure()`
`void` | `setClosure(Closure closure)`

Constructor Detail

### DefaultAction

    DefaultAction()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent event)

### getClosure

    public Closure getClosure()

### setClosure

    public void setClosure(Closure closure)